# Project Creator

Kode-Creator is a simple command-line interface (CLI) application designed to help developers get up and running quickly with some small tools for managing Github, software, environment variables, and more. The application is built using Go lang, which provides a simple, fast, and fun way to build your projects. 

## Description

The **Kode-Creator** app allows you to:
- Look organizations and projects on Github and Gitea.
- Create a startup project structure base on a configuration file
- Create and push your projects into Github or Gitea. 
- Look and manange environnement variable
- Create an initial commit
- Generate a README.md file

It uses the Github API to create projects.

## Usage

To build and run the app:

```bash
go build
./kode-creator.exe 
```

This will show the help menu. The main commands are:

- `create` - Create a Github project
- `list` - List Github orgs and repos

To create a project:

```bash
./kode-creator.exe create -t <github_token> -o <org_name> -n <project_name> -d <description> -p <private|false>
```

For example:

```bash 
./kode-creator.exe create -t abc123 -o myorg -n myproject -d "A test project" -p false
```

This will:

- Create a public Github repo named `myproject` in the `myorg` org
- Create a directory named `myproject`
- Initialize a Git repo
- Make an initial commit
- Generate a README.md

To list Github orgs and repos:

```bash
./kode-creator.exe list -t <github_token> -o <org_name>  
```

For example:

```bash
./kode-creator.exe list -t abc123 -o myorg
```

This will list the repos in the `myorg` organization.

## Environment Variables

You can set the following environment variables:

- `GITHUB_TOKEN` - Your Github personal access token. This will be used instead of passing the `-t` flag.
- `GITEA_TOKEN`  - Your Gitea personnal access token. This will be used instead of passing the `-t` flag.
*Temporaire*
(Gitea Token for linux)[ af65e1b846d721e3465422c04997d69b0cfe7f18 ] 
(Github Token from Github)[ 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 ]

## TODO
- add fonctionnalities to .bachrc file
  - show .bashrc file
  - add export variables configure in your yaml config

##License

MIT License.